#!/bin/bash

# **************************************************************************** #
# Description: 执行 CLI DEBUG 命令
# Parameter: $1 需要执行的命令
# **************************************************************************** #
function space_ExecCliCmds()
{
    echo -e "${1}\nexit\n" | diagnose --set-cli --auto | grep -o "Adel optimization switch : on"
}

function PATCH_ROLLSTART()
{
	i=3;
    while ((i--)); 
    do
    { 
		space_ExecCliCmds "pal rescue showtaskinfo adelopti_switch_off"
		OS_echo "switch off adelopti switch."
		sleep 1;
    }; 
    done
    return 0
}


#start：打补丁前需要执行的操作，脚本的执行时间点在替换文件前
#rollstart：回滚补丁时需要执行的操作，脚本的执行时间点在文件被恢复之前。
L_CMD=$1
case $L_CMD in
    "rollstart") 
        PATCH_ROLLSTART
        ;;
    *)
    #log "unsupported option."
esac

exit 0